version: '3.8'

services:

  eureka:
    ports:
      - 8761:8761


  config:
    ports:
      - 8888:8888

  redis:
    ports:
      - 6379:6379


  rabbitmq:
    ports:
      - 5672:5672
      - 15672:15672

  gateway:
    volumes:
      - /home/ma/.m2:/root/.m2

  chatpostgres:
    ports:
      - 5434:5432

  chatms:
    ports:
      - 8082:8082

  imgpostgres:
    ports:
      - 5433:5432

  img:
    ports:
      - 8083:8083

  keycloakpostgres:
    ports:
      - 5432:5432

  keycloak:
    ports:
      - 8080:8080

  vault:
    ports:
      - 8200:8200

  grafana:
    ports:
      - 3000:3000
    volumes:
      - ./Grafana/grafana_dev_storage:/var/lib/grafana # persistent storage for Grafana
      - ./CONFIG/Grafana/grafana_dev.ini:/etc/grafana/grafana.ini
      - ./Grafana/grafana_dev_logs:/var/log/grafana

  loki:
    ports:
      - 3100:3100

  fluentbit:
    ports:
      - 24224:24224

  prometheus:
    ports:
      - 9090:9090

  tempo:
    ports:
      - 9411:9411
      - 55680:55680
